#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	cracklib
Version		:	2.9.7
Release		:	14.4.0.0%{?dist}
Summary		:	A password-checking library
Group		:	Development/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	BSD or GPLv2+
URL		:	https://github.com/cracklib

Source0		:	%{name}-%{version}.tar.gz
Source1		:	%{name}-words-%{version}.gz

#-----------------------------------------------------------------------------
Requires	:	%{_bindir}/gunzip
#-----------------------------------------------------------------------------
%description
CrackLib tests passwords to determine whether they match certain
security-oriented characteristics, with the purpose of stopping users
from choosing passwords that are easy to guess. CrackLib performs
several tests on passwords: it tries to generate words from a username
and gecos entry and checks those words against the password; it checks
for simplistic patterns in passwords; and it checks for the password
in a dictionary.

CrackLib is actually a library containing a particular C function
which is used to check the password, as well as other C
functions. CrackLib is not a replacement for a passwd program; it must
be used in conjunction with an existing passwd program.

Install the cracklib package if you need a program to check users'
passwords to see if they are at least minimally secure. If you install
CrackLib, you will also want to install the cracklib-dicts package.


%prep
%setup -q 

#---------------------------------------------------------
#building application
%build

sed -i							\
  -e "/skipping/d"					\
  util/packer.c

./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
        --sysconfdir=%{_sysconfdir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--datadir=%{_datadir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--localstatedir=%{_var}				\
	--disable-static				\
	--with-default-dict=/lib/cracklib/pw_dic	\
	--without-python				\


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

%clean
%{__rm} -rf %{buildroot}

#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

%{__mkdir_p} %{buildroot}%{_datadir}/dict

install -v -m644 -D %{SOURCE1}				\
	%{buildroot}%{_datadir}/dict
	

%files			
%defattr(-,root,root,-)
%doc AUTHORS NEWS README
%{_includedir}/*.h
%{_sbindir}/%{name}-*
%{_sbindir}/create-%{name}-dict
%{_libdir}/libcrack.{la,so*}
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo
%{_datadir}/%{name}/%{name}-*
%{_datadir}/%{name}/%{name}.magic
%{_datadir}/dict/%{name}-words-%{version}.gz

%post
/usr/sbin/ldconfig

%postun
/usr/sbin/ldconfig

%changelog
